> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usebouncer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get results

> Download batch result as JSON. You can filter out what to download by status, eg. download only deliverable emails.

By default results are downloaded in JSON format.

**CSV format support**

Results can also be downloaded as CSV file by passing 'Accept' header.

```bash theme={null}
curl https://api.usebouncer.com/v1.1/email/verify/batch/<BATCH_ID>/download \
  -H "x-api-key: <api-key>" \
  -H 'Accept: text/csv'
```


## OpenAPI

````yaml get /v1.1/email/verify/batch/{batchId}/download
openapi: 3.0.0
info:
  title: Bouncer
  description: >-
    Bouncer Email Verification API lets you validate email address and verify
    its deliverability, in the way you want.


    It’s easy to integrate, powerful, robust, secure, ultrafast and affordable.


    Let Bouncer handle verification and validation of your email addresses, with
    Real-Time (synchronous), Batch (asynchronous), and a hybrid of those two
    Batch Synchronous end-points.


    If at any time you would need extra support from our side, you can reach us
    by email at :
    [support@usebouncer.com](https://mailto:support@usebouncer.com)
  version: 1.0.0
servers:
  - url: https://api.usebouncer.com
security:
  - apikeyAuth: []
tags:
  - name: domain
    description: >-
      You can use Bouncer’s Domain Verification API to check domain information.


      It can be usefull to verify is domain has valid MX records and if it
      behaves as a "catch all" domain.
paths:
  /v1.1/email/verify/batch/{batchId}/download:
    get:
      tags:
        - batch
      summary: Get results
      description: >-
        Download batch result as JSON. You can filter out what to download by
        status, eg. download only deliverable emails.
      operationId: getBatchResults
      parameters:
        - name: download
          in: query
          schema:
            type: string
          description: >-
            download emails by status, possible values: all, deliverable, risky,
            undeliverable, unknown
          example: all
        - name: batchId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailRecord'
              example:
                - email: john@usebouncer.com
                  status: deliverable
                  reason: accepted_email
                  domain:
                    name: usebouncer.com
                    acceptAll: 'no'
                    disposable: 'no'
                    free: 'no'
                  account:
                    role: 'no'
                    disabled: 'no'
                    fullMailbox: 'no'
                  dns:
                    type: MX
                    record: aspmx.l.google.com.
                  provider: google.com
                  score: 100
                  toxic: unknown
                  toxicity: 0
                - email: jane@usebouncer.com
                  status: deliverable
                  reason: accepted_email
                  domain:
                    name: usebouncer.com
                    acceptAll: 'no'
                    disposable: 'no'
                    free: 'no'
                  account:
                    role: 'no'
                    disabled: 'no'
                    fullMailbox: 'no'
                  dns:
                    type: MX
                    record: aspmx.l.google.com.
                  provider: google.com
                  score: 100
                  toxic: unknown
                  toxicity: 0
        '404':
          description: Not Found
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                status: '404'
                error: Not Found
                message: request 1l2k3k4j5h does not exist
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              example:
                status: '405'
                error: Method Not Allowed
                message: batch is not completed
components:
  schemas:
    EmailRecord:
      type: object
      additionalProperties: false
      required:
        - email
        - status
        - reason
      properties:
        email:
          type: string
        status:
          enum:
            - deliverable
            - risky
            - undeliverable
            - unknown
        reason:
          enum:
            - accepted_email
            - low_deliverability
            - low_quality
            - invalid_email
            - invalid_domain
            - rejected_email
            - dns_error
            - unavailable_smtp
            - unsupported
            - timeout
            - unknown
        domain:
          type: object
          additionalProperties: false
          required:
            - name
            - acceptAll
            - disposable
            - free
          properties:
            name:
              type: string
            acceptAll:
              enum:
                - 'yes'
                - 'no'
                - unknown
            disposable:
              enum:
                - 'yes'
                - 'no'
                - unknown
            free:
              enum:
                - 'yes'
                - 'no'
                - unknown
        account:
          type: object
          additionalProperties: false
          required:
            - role
            - disabled
            - fullMailbox
          properties:
            role:
              enum:
                - 'yes'
                - 'no'
                - unknown
            disabled:
              enum:
                - 'yes'
                - 'no'
                - unknown
            fullMailbox:
              enum:
                - 'yes'
                - 'no'
                - unknown
        dns:
          type: object
          additionalProperties: false
          required:
            - type
          properties:
            type:
              type: string
            record:
              type: string
        provider:
          type: string
        score:
          type: integer
          minimum: 0
          maximum: 100
        toxic:
          type: string
        toxicity:
          type: integer
          minimum: 0
          maximum: 5
        retryAfter:
          type: string
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````